#ifndef INSTRUCTORBUTTONGROUPWIDGET_H
#define INSTRUCTORBUTTONGROUPWIDGET_H

#include <QWidget>

namespace Ui {
class InstructorButtonGroupWidget;
}

class InstructorButtonGroupWidget : public QWidget
{
    Q_OBJECT

public:
    explicit InstructorButtonGroupWidget(QWidget *parent = nullptr);
    ~InstructorButtonGroupWidget();
signals:
    void sigLoadToServer();
    void sigUndoCurrentChanges();
    void sigStartUnityClient();
private slots:
    void on_loadToServerButton_clicked();
    void on_undoChangesButton_clicked();
    void on_startWithCurrentChangesButton_clicked();

private:
    Ui::InstructorButtonGroupWidget *ui;
};

#endif // INSTRUCTORBUTTONGROUPWIDGET_H
